Package com.datecs.fiscalprinter.SDK

# Enum Country

java.lang.Object
java.lang.Enum<Country>
com.datecs.fiscalprinter.SDK.Country

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Country>`, `java.lang.constant.Constable`

    public enum Country
    extends java.lang.Enum<Country>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ARMENIA` |
  `AZERBAIJAN` |
  `BELARUS` |
  `BENIN` |
  `BULGARIA` |
  `ESTONIA` |
  `ETHIOPIA` |
  `FEDERATION_BOSNIA` |
  `GEORGIA` |
  `KENYA` |
  `KYRGYZSTAN` |
  `LATVIA` |
  `LITHUANIA` |
  `MACEDONIA` |
  `MALAWI` |
  `MOLDOVA` |
  `MONTENEGRO` |
  `POLAND` |
  `REPUBLICA_BOSNIA` |
  `ROMANIA` |
  `SERBIA` |
  `TANZANIA` |
  `TURKEY` |
  `UNITED_KINGDOM` |
  `UNITED_STATES` |
  `ZIMBABWE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int[]` | `code()` |
  `java.lang.String` | `iso2()` |
  `java.lang.String` | `slogan()` |
  `static Country` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Country[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNITED_STATES

    public static final Country UNITED_STATES

  - ### TURKEY

    public static final Country TURKEY

  - ### KENYA

    public static final Country KENYA

  - ### LATVIA

    public static final Country LATVIA

  - ### LITHUANIA

    public static final Country LITHUANIA

  - ### GEORGIA

    public static final Country GEORGIA

  - ### ARMENIA

    public static final Country ARMENIA

  - ### ETHIOPIA

    public static final Country ETHIOPIA

  - ### REPUBLICA_BOSNIA

    public static final Country REPUBLICA_BOSNIA

  - ### ZIMBABWE

    public static final Country ZIMBABWE

  - ### TANZANIA

    public static final Country TANZANIA

  - ### FEDERATION_BOSNIA

    public static final Country FEDERATION_BOSNIA

  - ### BENIN

    public static final Country BENIN

  - ### MONTENEGRO

    public static final Country MONTENEGRO

  - ### BULGARIA

    public static final Country BULGARIA

  - ### BELARUS

    public static final Country BELARUS

  - ### KYRGYZSTAN

    public static final Country KYRGYZSTAN

  - ### ESTONIA

    public static final Country ESTONIA

  - ### MALAWI

    public static final Country MALAWI

  - ### AZERBAIJAN

    public static final Country AZERBAIJAN

  - ### MACEDONIA

    public static final Country MACEDONIA

  - ### SERBIA

    public static final Country SERBIA

  - ### UNITED_KINGDOM

    public static final Country UNITED_KINGDOM

  - ### ROMANIA

    public static final Country ROMANIA

  - ### POLAND

    public static final Country POLAND

  - ### MOLDOVA

    public static final Country MOLDOVA

- ## Method Details

  - ### values

    public static Country[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Country valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### slogan

    public java.lang.String slogan()
    Returns:

  - ### code

    public int[] code()
    Returns:

  - ### iso2

    public java.lang.String iso2()
    Returns: